# This is the configuring for logging displayed in the Application Server
log4j.rootCategory=INFO, stdout,web

################################
# common appenders
################################
#stdout configure
log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.conversionPattern= %d [%X{loginUserId}/%X{req.remoteAddr}/%X{req.id} - %X{entranceMethod} - %X{req.requestURIWithQueryString}] %-5p %c - %m%n

#web file appender
log4j.appender.web=org.apache.log4j.DailyRollingFileAppender
log4j.appender.web.file=../logs/jex_oa.log
log4j.appender.web.layout=org.apache.log4j.PatternLayout
log4j.appender.web.layout.conversionPattern= %d [%X{loginUserId}/%X{req.remoteAddr}/%X{req.id} - %X{entranceMethod} - %X{req.requestURIWithQueryString}] %-5p %c - %m%n

################################
# open source framework loggers
################################
#spring
log4j.logger.org.springframework=INFO
log4j.logger.org.springframework.jdbc.core.JdbcTemplate=INFO
log4j.logger.org.activiti=DEBUG
#log4jdbc, 
log4j.logger.jdbc.sqlonly=OFF
log4j.logger.jdbc.sqltiming=ON
log4j.logger.jdbc.audit=OFF
log4j.logger.jdbc.resultset=OFF
log4j.logger.jdbc.connection=OFF

################################
# project loggers
################################
log4j.logger.cn.org.rapid_framework=ERROR
log4j.logger.org.directwebremoting = ERROR
